Package org.springframework.security.web.server.context

# Class ReactorContextWebFilter

java.lang.Object
org.springframework.security.web.server.context.ReactorContextWebFilter

All Implemented Interfaces:
  `org.springframework.web.server.WebFilter`

public class ReactorContextWebFilter extends Object implements org.springframework.web.server.WebFilter
Uses a `ServerSecurityContextRepository` to provide the `SecurityContext` to initialize the `ReactiveSecurityContextHolder`.

Since:
  5.0

## Constructor Summary

Constructors
Constructor
Description
`ReactorContextWebFilter(ServerSecurityContextRepository repository)`

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
`filter(org.springframework.web.server.ServerWebExchange exchange, org.springframework.web.server.WebFilterChain chain)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReactorContextWebFilter

public ReactorContextWebFilter(ServerSecurityContextRepository repository)

## Method Details

### filter

public reactor.core.publisher.Mono<Void> filter(org.springframework.web.server.ServerWebExchange exchange, org.springframework.web.server.WebFilterChain chain)

Specified by:
  `filter` in interface `org.springframework.web.server.WebFilter`